Likelihood optimization stops in case of small step size

04/26/2017 11:40 AM - Knödlseder Jürgen

Status: Closed Start date: 04/26/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.0   

Description

The likelihood iterations eventually stop when the parameter boundaries lead to a small step size since the likelihood increment for a

small step size becomes tiny. Here an example:

2017-04-25T13:34:23: +=================================+

2017-04-25T13:34:23: | Maximum likelihood optimisation |

2017-04-25T13:34:23: +=================================+

2017-04-25T13:41:43:  >Iteration   0: -logL=904829.868, Lambda=1.0e-03

2017-04-25T13:41:43:    Parameter "Width" drives optimization step (step=9.52026e-06)

2017-04-25T13:41:43:    Parameter "Width" hits minimum: 0.0002778 < 0.0002778 (1)

2017-04-25T13:45:07:  >Iteration   1: -logL=904829.867, Lambda=1.0e-03, delta=0.001, max(|grad|)=-8612299414181.093750

 [Integral:104]

2017-04-25T13:45:07:

It probably would be best to scale the convergence threshold with the step size.

History

#1 - 04/26/2017 12:12 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.3.0

- % Done changed from 0 to 10

I created a branch 2022-ctlike-iterations-stop where the convergence threshold is scaled with the step size.

#2 - 04/27/2017 10:31 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 10 to 100

This seems to solve the problem. Code is merged into devel.
